Bug 484151 - VTd: changeset 12 of 16: fix ia64 build
VTd: changeset 12 of 16: fix ia64 build
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: 5.4
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On: 484150
Blocks: 331741 484152
  Show dependency treegraph
 
Reported: 2009-02-04 19:02 EST by Don Dugger
Modified: 2014-07-24 23:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 10:27:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix ia64 build (77.40 KB, patch)
2009-02-04 19:02 EST, Don Dugger
no flags Details | Diff

  None (edit)
Description Don Dugger 2009-02-04 19:02:35 EST
Created attachment 330945 [details]
fix ia64 build

Description of patch:

VT-d is not supported on ia64, so just build xen/drivers/passthrough/
on x86.
                                                                                Add pci configuration code for ia64    
 
The new upstream xen/pci.h has a name conflict with the modified
linux/pci.h and shows up earlier in the include search path.  Since
the usage of linux/pci.h is limited, rename to linux/linux-pci.h to
avoid duplicate names and cleanup the few users.

Upstream Status: N/A
Comment 1 Don Dugger 2009-02-05 10:27:42 EST
Process error, don't need a separate BZ per patch

Note You need to log in before you can comment on or make changes to this bug.